Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006003 [JEDI VCL] 00 JVCL Components major always 2012-10-03 16:21 2015-09-14 13:20
Reporter anaka View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006003: Dans un TJVRICHEDIT on ne peux plus surdéfinir la fonction OnContextPopup
Description Bonjour,

On ne peux plus surdéfinir la fonction OnContextPopup dans TJVRicheEDIT.

C'est une régression car la version 3.45 fonctionne correctement.

Dnas l'exemple ci-dessous avec la version 3.47 on ne passe plus dans la fonction MakePopup.
Additional Information .h
class TMDIChild : public TRichEdit21

///
.cpp
__fastcall TMDIChild::TMDIChild(TComponent * owner, RecensFile * rf)
{
...
OnContextPopup = MakePopup;
...
}

// ! Lance la méthode de configuration du popup menu dans les classes descendantes.
void __fastcall TMDIChild::MakePopup(TObject* Sender, const TPoint & _point, bool &)
{
  if (SelLength == 0 && _point.x != -1 && _point.y != -1)
  {
    int iPos = -1;
    POINTL Pt;

    Pt.x = _point.x;
    Pt.y = _point.y;
    iPos = ::SendMessage(Handle, EM_CHARFROMPOS, 0, (LPARAM) & Pt);

    SelStart = iPos;
    TShiftState noShiftKeys;
    RichEdit20MouseUp(Sender, TMouseButton(mbLeft), noShiftKeys, 0, 0);

  }

  ConfigPopup(Sender);
}
Tags BCB
Attached Files zip file icon test jedi.zip [^] (88,078 bytes) 2013-01-18 16:45

- Relationships

-  Notes
(0020362)
obones (administrator)
2013-01-15 15:43

Merci de nous envoyer un zip contenant les sources d'une application démontrant le problème
(0020404)
anaka (reporter)
2013-01-18 16:46

Il suffit juste de lancer l'executable et de faire un clic droit.
(0020874)
obones (administrator)
2013-12-18 14:01

Résolu dans GIT

- Issue History
Date Modified Username Field Change
2012-10-03 16:21 anaka New Issue
2013-01-15 15:43 obones Note Added: 0020362
2013-01-15 15:43 obones Status new => feedback
2013-01-18 16:45 anaka File Added: test jedi.zip
2013-01-18 16:46 anaka Note Added: 0020404
2013-01-18 16:46 anaka Issue Monitored: anaka
2013-12-13 11:40 obones Status feedback => acknowledged
2013-12-13 17:09 obones Tag Attached: BCB
2013-12-18 14:01 obones Note Added: 0020874
2013-12-18 14:01 obones Status acknowledged => resolved
2013-12-18 14:01 obones Fixed in Version => Daily / GIT
2013-12-18 14:01 obones Resolution open => fixed
2013-12-18 14:01 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker